{% extends 'base.html' %}

{% load static %}

{% block title %}
    <title>Create Project</title>
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>My Tasks</h1>
            <!-- Check length of tasks here, they are explicitly accessible in the model -->
            {% if tasks|length > 0 %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        <!-- Access tasks directly once again-->
                        {% for task in tasks %}
                            <tr>
                                <td>{{ task.name }}</td>
                                <td>{{ task.start_date }}</td>
                                <td>{{ task.due_date }}</td>
                                <td>{{ task.is_completed|yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>You have no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
